// (c) Copyright Microsoft Corporation.
// This source is subject to the Microsoft Permissive License.
// See http://www.microsoft.com/resources/sharedsource/licensingbasics/sharedsourcelicenses.mspx.
// All other rights reserved.


// README
//
// There are two steps to adding a property:
//
// 1. Create a member variable to store your property
// 2. Add the get_ and set_ accessors for your property.
//
// Remember that both are case sensitive!
//

Type.registerNamespace('FontSize');

FontSize.FontSizeBehavior = function(element) {

    FontSize.FontSizeBehavior.initializeBase(this, [element]);

    // the DOM elemens we'll be interacting with
    //
    this._sizePanelElement = null;
    this._incrementElement = null;
    this._decrementElement = null;
    this._hoverCssClass = null;
    
    // property values
    //    
    this._fontSizeIncrement = 2;    
    this._maxFontSize = 28;
    this._minFontSize = 4;

}

FontSize.FontSizeBehavior.prototype = {

    initialize : function() {
        FontSize.FontSizeBehavior.callBaseMethod(this, 'initialize');

        // TODO: add your initalization code here
    },

    dispose : function() {
        // TODO: add your cleanup code here

        FontSize.FontSizeBehavior.callBaseMethod(this, 'dispose');
    },

    get_hoverCssClass : function() {
        return this._hoverCssClass;
    },
    
    set_hoverCssClass: function(val) {
        this._hoverCssClass = val;
    },
    
    get_incrementElement : function() {
        return this._incrementElement;
    },
    
    set_incrementElement: function(val) {
        this._incrementElement = val;
    },
    
    get_decrementElement : function() {
        return this._decrementElement;
    },
    
    set_decrementElement: function(val) {
        this._decrementElement = val;
    },
    
    get_sizePanelElement : function() {
        return this._sizePanelElement;
    },
    
    set_sizePanelElement: function(val) {
        this._sizePanelElement = val;
    },
     
    get_FontSizeIncrement : function() {
        return this._fontSizeIncrement;
    },
    
    set_FontSizeIncrement: function(val) {
        this._fontSizeIncrement = val;
    }
}

FontSize.FontSizeBehavior.registerClass('FontSize.FontSizeBehavior', AjaxControlToolkit.BehaviorBase);
