// (c) Copyright Microsoft Corporation.
// This source is subject to the Microsoft Permissive License.
// See http://www.microsoft.com/resources/sharedsource/licensingbasics/sharedsourcelicenses.mspx.
// All other rights reserved.

using System;
using System.Web.UI.WebControls;
using System.Web.UI;
using System.ComponentModel;
using System.ComponentModel.Design;
using AjaxControlToolkit;
using Microsoft.Web.UI;


[assembly: System.Web.UI.WebResource("FontSize.FontSizeBehavior.js", "text/javascript")]

namespace FontSize
{
	[Designer(typeof(FontSizeDesigner))]
	[ClientScriptResource("FontSize.FontSizeBehavior", "FontSize.FontSizeBehavior.js")]
	[TargetControlType(typeof(Control))]
	public class FontSizeExtender : ExtenderControlBase
	{
		[ExtenderControlProperty]
		[DefaultValue("")]
		[IDReferenceProperty(typeof(Panel))]
		[ElementReference]
		[ClientPropertyName("sizePanelElement")]
		public string SizePanelControlID
		{
			get
			{
				return GetPropertyStringValue("SizePanelControlID");
			}
			set
			{
				SetPropertyStringValue("SizePanelControlID", value);
			}
		}

		[IDReferenceProperty(typeof(IButtonControl))]
		[ElementReference]
		[ExtenderControlProperty]
		[DefaultValue("")]
		[ClientPropertyName("incrementElement")]
		public string IncreaseSizeControlID
		{
			get
			{
				return GetPropertyStringValue("IncreaseSizeControlID");
			}
			set
			{
				SetPropertyStringValue("IncreaseSizeControlID", value);
			}
		}

		[IDReferenceProperty(typeof(IButtonControl))]
		[ElementReference]
		[ExtenderControlProperty]
		[DefaultValue("")]
		[ClientPropertyName("decrementElement")]
		public string DecreaseSizeControlID
		{
			get
			{
				return GetPropertyStringValue("DecreaseSizeControlID");
			}
			set
			{
				SetPropertyStringValue("DecreaseSizeControlID", value);
			}
		}

		[ExtenderControlProperty]
		[DefaultValue("")]
		[ClientPropertyName("hoverCssClass")]
		public string PanelHoverCssClass
		{
			get
			{
				return GetPropertyStringValue("PanelHoverCssStyle");
			}
			set
			{
				SetPropertyStringValue("PanelHoverCssStyle", value);
			}
		}

		[DefaultValue(2)]
		[ExtenderControlProperty]
		public int FontSizeIncrement
		{
			get
			{
				return GetPropertyValue("FontSizeIncrement", 2);
			}
			set
			{
				SetPropertyIntValue("FontSizeIncrement", value);
			}
		}
	}
}
